cURL
curl --request GET \
--url https://{environment}.pragma.build/node/v1/data/multi/streamimport requests
url = "https://{environment}.pragma.build/node/v1/data/multi/stream"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{environment}.pragma.build/node/v1/data/multi/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Prices
Multi Stream
GET
/
node
/
v1
/
data
/
multi
/
stream
cURL
This is an SSE endpoint. Learn more about SSE here.
You can think of SSE as an unidirectional channel from the server to the client.
It is much more efficient than websocket to display real time data on a frontend and it is supported by most browsers as of today.
Query Parameters
Base parameters for entry requests including interval, aggregation mode, and routing options Parameters for retrieving price entries
Show child attributes
Show child attributes
List of trading pairs to stream prices for (e.g. ["ETH/USD", "BTC/USD"])
Number of historical price entries to fetch on initial connection (default: 100)
Required range:
x >= 0Response
200 - text/event-stream
Server-sent events stream of price entries for multiple pairs
Was this page helpful?